Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.examples.simple
Class SimpleMap2

    java.lang.Object
      com.bbn.openmap.examples.simple.SimpleMap2

public class SimpleMap2
extends java.lang.Object

This is a simple application that uses the OpenMap MapBean to show a map.

This example shows:

- MapBean
- MapHandler
- LayerHandler
- ShapeLayer with political data
- GraticuleLayer
- Local RouteLayer which draws hypothetical routing lines
- Tools to navigate around on the map

See Also:
  `RouteLayer`

Constructor Summary
`SimpleMap2()`

Method Summary
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleMap2

    public SimpleMap2()

Method Detail

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details